Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.transform
Class OnEventWorker

    java.lang.Object
      org.apache.tapestry5.internal.transform.OnEventWorker

All Implemented Interfaces:
  ComponentClassTransformWorker2

    public class OnEventWorker

extends java.lang.Object
implements ComponentClassTransformWorker2

Provides implementations of the `Component.dispatchComponentEvent(org.apache.tapestry5.runtime.ComponentEvent)` method, based on `OnEvent` annotations and naming conventions.

Constructor Summary
`OnEventWorker(Request request, ValueEncoderSource valueEncoderSource, ComponentClassCache classCache, OperationTracker operationTracker, boolean componentIdCheck)`

Method Summary
`void` | `transform(PlasticClass plasticClass, TransformationSupport support, MutableComponentModel model)` Invoked to perform part of the transformation of the `PlasticClass`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OnEventWorker

    public OnEventWorker(Request request,
                         ValueEncoderSource valueEncoderSource,
                         ComponentClassCache classCache,
                         OperationTracker operationTracker,
                         @Symbol(value="tapestry.compatibility.unknown-component-id-check-enabled")
                         boolean componentIdCheck)

Method Detail

### transform

    public void transform(PlasticClass plasticClass,
                          TransformationSupport support,
                          MutableComponentModel model)

  Description copied from interface: `ComponentClassTransformWorker2`
  Invoked to perform part of the transformation of the `PlasticClass`.

  Specified by:
    `transform` in interface `ComponentClassTransformWorker2`
  Parameters:
    `plasticClass` - component class being transformed
    `support` - additional utilities needed during the transformation
    `model` - the model for the component being transformed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.